
 LinHES - Bug # 622: Add SiliconDust HDHR as an I/R Receiver option

Status: Closed Priority: Normal
Author: aclose Category:
Created: 02/06/2010 Assignee: jams
Updated: 03/29/2010 Due date:
Description: to get the SiliconDust HDHR I/R Receiver to talk to a FrontEnd, you need to execute the command:

mythtv@MythFrontend ~]$hdhomerun_config <HDHR_Device_ID> set /ir/target <FrontEnd_IP:5000> 
no_clear'
mythtv@MythFrontend ~]$

the HDHR's device ID can be found by executing the following command:

[mythtv@MythFrontend ~]$ hdhomerun_config discover
hdhomerun device **1011014D** found at 10.0.0.13
[mythtv@MythFrontend ~]$ 

so in my case, i used the following to get my HDHR to talk to my FrontEnd:

[mythtv@MythFrontend ~]$ hdhomerun_config 1011014D set /ir/target 10.0.0.25:5000 no_clear
[mythtv@MythFrontend ~]$ 

if the above steps can't be easily scripted/executed behind the scenes, it would be worthwhile to mention 
these steps to the user, perhaps as the help text when Receiver is highlighted during setup/config.

now that the HDHR is pointing to the FrontEnd, we need to get lircd to accept input from the HDHR

this small block of logic should be added to /etc/sv/lircd/run:

<code>
    # if using the SiliconDust_HDHR as an I/R Receiver
    if [ x$ReceiverType = "xSiliconDust_HDHR" ]
    then
      CMD="/usr/sbin/lircd -H udp -d 5000 -n"
      exec $CMD >>$LOG 2>>$LOG
    fi
</code>

the /etc/systemconfig will need to be updated during install or when 'Service Menu' -> 'LinHES Configuration' 
-> 'Remotes' -> Receiver is set to 'SiliconDust_HDHR'

'SiliconDust_HDHR' will need to be added to the Receiver dropdown menu that shows up during installation 
and when accessing Service Menu' -> 'LinHES Configuration' -> 'Remotes' -> Receiver

thank you

Associated revisions
03/27/2010 08:37 pm - jams
runit-script: add logic for using SiliconDust_HDHR as receiver

For now this option will cause separate blasters/transmitters to stop working.
refs #622

03/29/2010 04:39 pm - jams
Linhes-config: mv_ir  add support for hdhr.  For now hardcodes the port  to 5000 when setting the target for hdhr.
closes #622

03/29/2010 04:40 pm - jams
mythinstall: new mythvantage.  This one adds additional hdhr support and fixes a problem where the default interface was being reset to ''
ref #622

History
02/13/2010 06:02 pm - aclose
i'm playing with python in order to automate the detection of the HDHR and configure /etc/systemconfig ReceiverType=SiliconDust_HDHR
but if someone beats me to it i'm fine with that :)

03/20/2010 09:29 pm - jams
Added SiliconDust_HDHR to selection menu.

03/21/2010 07:20 pm - jams
- Target version set to 6.03.00

03/29/2010 03:52 pm - jams
- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:"8d64121bc6d839d59b284fba0b7630f5cb135f5e".
